Quassel IRC - Bug #331

Client disconnects from core if downloading scrollback takes over 60 seconds (i.e. on a slow
connection)

10/04/2008 12:08 PM - TerrorBite

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

When using Quassel on a slow connection, it takes more than 60 seconds to download all the scrollback from the core. In that time,
the client detects that no heartbeat has been sent from the core for 60 seconds, and closes the connection.

SUGGESTED SOLUTION: Disable heartbeat checking while scrollback is being downloaded.

History

#1 - 10/22/2008 05:31 PM - hagabaka

| have this problem even when | run the core and client on the same machine. | have 7 networks and about 40 channels open so it takes a while for
the client to download messages on start up. The client often displays only a few messages in chat monitor before it gets disconnected by core saying
"didn't receive a heart beat for over 60 seconds". And | will then need to retry a few times before it finally stays connected.

Also maybe related, when | leave Quassel running over night, it usually is disconnected from core when | wake up. As well, when the CPU usage is
high, Quassel sometimes gets disconnected from the core.

#2 - 12/22/2008 09:53 PM - ZRegis

Same problem for me (on protocol version 6) particularly when you are using unstable connection (aka as Wireless). You loose few packets, you
loose the connection.

Sol 1: Provide a way to increase the heart beat time out.

Sol 2: beat more frequently and accept more missing beats.
Sol 3: Separate beat from data. Generally improve communication.

#3 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#4 - 01/24/2009 03:52 PM - ZRegis

- Target version set to 0.3.1

| think there is also a client issue on this point.

Please check that it's really a strong limitation, with an instable wireless connection.
#5 - 01/30/2009 03:24 PM - Sputnick

- Status changed from New to Confirmed

- Target version deleted (0.3.1)
Setting the target version to an already released version does not really make sense.

#6 - 02/01/2009 02:04 PM - EgS
- Assignee set to EgS

- Target version set to 0.4.0

Fixed in current git.
http:/git.quassel-irc.org/?p=quassel.qgit;a=commitdiff;h=89e28856360c1d92ede38b97511ef711053f39a6

04/09/2024 12



http://git.quassel-irc.org/?p=quassel.git;a=commitdiff;h=89e28856360c1d92ede38b97511ef711053f39a6

Git-Log:

The SignalProxy uses the heart beats only as a last resort to check if
a peer is still alive. As long as data is received the signalproxy

will be happy.

Note: the client will still disconnect from the core if no data at all is received in 60 seconds. So if your core's load skyrockets, this won't help.

#7 - 02/04/2009 11:53 PM - EgS
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100
